Subject: Re: gzip.exe as symlink breaks NTEmacs's jka-compr.el
From: David Starks-Browning <[email-masked]>
To: Matt Swift <[email-masked]>
Cc: [email-masked]
Date: Tue, 16 Jul 2002 16:38:10 +0100

On Tuesday 16 Jul 02, Matt Swift writes:
> Porting Emacs to Cygwin is no small job.  Meanwhile, many need to use
> NTEmacs with Cygwin with as much efficiency as is available.
> 
> I see that the Cygwin sources have been changed back to gunzip being a
> symlink.
> 
> What about a hard link?  It seems to be the best of both worlds.  No
> more disk space and no problems with symlnks.  I've tried it and it
> works well so far.

I do not believe that is possible on Win9x.

IMO, a separate copy of the file is the friendliest choice for Windows
apps like GNU Emacs.  But it's up to the gzip maintainer.  If the gzip
maintainer chooses not to do this, GNU Emacs users will have to work
around it somehow.  Full stop.

Regards,
David
(NTEmacs user)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/